%def_enable corba
%def_enable xosd
%def_enable rio

Name: zinf
Version: 2.2.5
Release: alt4

Summary: File and streaming MP3/OggVorbis/Audio CD player/jukebox
License: GPL
Group: Sound
Url: http://%name.sourceforge.net
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu
Source2: %name.png

Patch0: %name-musicbrainz.patch

#Patch0: %name-alsa.patch
#Patch1: %name-gdk.patch

%define cname   Zinf
%define musicbrainz_ver 2.0.2

Requires: libmusicbrainz >= %musicbrainz_ver

BuildPreReq: libmusicbrainz-devel >= %musicbrainz_ver

# Automatically added by buildreq on Sun Feb 15 2004
BuildRequires: ORBit-devel XFree86-devel XFree86-libs
BuildRequires: boost-devel esound-devel fontconfig
BuildRequires: freetype2 gcc-c++ gcc-g77 glib-devel
BuildRequires: glib2-devel id3lib-devel libalsa-devel
BuildRequires: libarts-devel libatk-devel libaudiofile-devel
BuildRequires: libgdbm-devel libgtk+2-devel libmusicbrainz-devel
BuildRequires: libncurses-devel libogg-devel libpango-devel
BuildRequires: libstdc++-devel libtinfo-devel libvorbis-devel
BuildRequires: libxosd-devel nasm pkgconfig zlib-devel

%description
%cname is an MP3/OggVorbis/AudioCD player/jukebox that can play local files,
SHOUTcast/icecast streams and RTP MPEG streams. It features a Themed interface,
which also supports WinAmp and KJofol skins, and it also supports automated
download from RMP enabled music sites like emusic.com.

%package esd
Summary: Zinf - Zinf plugin for ESD output
Group: Sound
Requires: %name = %version-%release
Requires: esound >= 0.2.12

%description esd
Zinf plugin for ESD output

# -------------------------------------------------------------------------
# Alsa Package defines
# -------------------------------------------------------------------------
%package alsa
Summary: Zinf - Zinf plugin for ALSA output
Group: Sound
Requires: %name = %version-%release
Requires: alsa >= 0.5.0

%description alsa
Zinf plugin for ALSA output

# -------------------------------------------------------------------------
# Arts Package defines
# -------------------------------------------------------------------------
%package arts
Summary: Zinf - Zinf plugin for Arts output
Group: Sound
Requires: %name = %version-%release
Requires: arts >= 1.1

%description arts
Zinf plugin for Arts output plugin

# -------------------------------------------------------------------------
# Vorbis Package defines
# -------------------------------------------------------------------------
%package vorbis
Summary: Zinf - Zinf plugin for Vorbis playback
Group: Sound
Requires: %name = %version-%release
Requires: libogg >= 1.0beta4, libvorbis >= 1.0beta4

%description vorbis
Zinf plugin for Vorbis playback

# -------------------------------------------------------------------------
# Extras Package defines
# -------------------------------------------------------------------------
%package extras
Summary: Zinf - All the remaining plugins (mpg123 ui, cmdline ui, ncurses ui, irman, lcd)
Group: Sound
Requires: %name = %version-%release

%description extras
All the remaining plugins (mpg123 ui, cmdline ui, ncurses ui, irman, lcd)

# -------------------------------------------------------------------------
# Corba Package defines
# -------------------------------------------------------------------------
%package corba
Summary: Zinf - Corba remote control interface
Group: Sound
Requires: %name = %version-%release
Requires: ORBit >= 0.5.0

%description corba
Corba remote control interface plugin

# -------------------------------------------------------------------------
# Xosd Package defines
# -------------------------------------------------------------------------
%package xosd
Summary: Zinf - XOSD plugin
Group: Sound
Requires: %name = %version-%release
Requires: libxosd >= 2.2.5

%description xosd
Zinf plugin for XOSD.

# -------------------------------------------------------------------------
# Rio Package defines
# -------------------------------------------------------------------------
%package rio
Summary: Zinf - Rio PMP 300 plugin
Group: Sound
Requires: %name = %version-%release

%description rio
This is an UNTESTED Rio PMP 300 plugin for Zinf.

# -------------------------------------------------------------------------
# Prep and build stuff
# -------------------------------------------------------------------------
%prep
%setup -q -n %name-%version
%patch0 -p0
#%patch1 -p0

%build
%set_verify_elf_method textrel=relaxed
%configure --enable-xosd --enable-corba --enable-rio --disable-rpath
%make_build

# -------------------------------------------------------------------------
# Install section
# -------------------------------------------------------------------------
%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png

%__cat <<__DESKTOP__ >%name.desktop
[Desktop Entry]
Name=Zinf audio player
Exec=zinf
Info=Zinf audio player
Icon=%_datadir/pixmaps/zinf.png
Terminal=false
MultipleArgs=false
Type=Application
Categories=GNOME;Application;AudioVideo;
__DESKTOP__

%__install -pD -m644 %name.desktop %buildroot%_datadir/applications/%name.desktop

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%dir %attr(0755,root,root) %_libdir/%name
%_libdir/%name/plugins/cd.lmc
%_libdir/%name/plugins/cd.pmo
%_libdir/%name/plugins/download.ui
%_libdir/%name/plugins/zinf.ui
%_libdir/%name/plugins/http.pmi
%_libdir/%name/plugins/id3lib.mdf
%_libdir/%name/plugins/kjofol.ftf
%_libdir/%name/plugins/local.pmi
%_libdir/%name/plugins/m3u.plf
%_libdir/%name/plugins/misc.mdf
%_libdir/%name/plugins/mbcd.mdf
%_libdir/%name/plugins/musicbrowser.ui
%_libdir/%name/plugins/obs.pmi
%_libdir/%name/plugins/pls.plf
%_libdir/%name/plugins/soundcard.pmo
%_libdir/%name/plugins/vorbis.lmc
%_libdir/%name/plugins/vorbis.mdf
%_libdir/%name/plugins/wavout.pmo
%_libdir/%name/plugins/winamp.ftf
%_libdir/%name/plugins/xingmp3.lmc
%_libdir/%name/plugins/wav.lmc
%_libdir/%name/plugins/albumart.ui
%_datadir/applications/%name.desktop
%_datadir/pixmaps/zinf.png
%_menudir/*
%doc AUTHORS ChangeLog NEWS README doc

%files esd
%_libdir/%name/plugins/esound.pmo

%files alsa
%_libdir/%name/plugins/alsa.pmo

%files arts
%_libdir/%name/plugins/arts.pmo

%files vorbis
%_libdir/%name/plugins/vorbis.lmc
%_libdir/%name/plugins/vorbis.mdf

%files extras
%_libdir/%name/plugins/irman.ui
%_libdir/%name/plugins/lcd.ui
%_libdir/%name/plugins/cmdline.ui
%_libdir/%name/plugins/mpg123.ui
%_libdir/%name/plugins/ncurses.ui

%if_enabled corba
%files corba
%_libdir/%name/plugins/corba.ui
%endif

%if_enabled xosd
%files xosd
%_libdir/%name/plugins/xosd.ui
%endif

%if_enabled rio
%files rio
%_libdir/%name/plugins/pmp300.ppp
%endif

%changelog
* Tue Jun 8 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt4
- patch for new musicbrainz

* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt3
- rebuild with gcc-3.3

* Mon Feb 16 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt2
- rebuild

* Sun Feb 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.5-alt1
- 2.2.5
- build with gtk2
- add xosd,rio plugins
- add suport russian language
- updated build requires

* Tue Feb 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 2.2.4-alt2
- Fixed conversion bug in asla module

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- new version.
- Url, Packager tags added
- requires libmusicbrainz-2.0.2
- call {update,clean}_menus in %%post{un}
- .desktop added, menu file fixed.

* Mon Mar 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.2.3-alt1
- New version
